From 47ce0f1883c6bfe003b83d7c1bc2d57b0dedcfc2 Mon Sep 17 00:00:00 2001
From: Olivier Hainque <hainque@adacore.com>
Date: Thu, 3 Mar 2022 16:58:51 +0000
Subject: [PATCH 13/18] Downgrade DWARF_VERSION_DEFAULT to 3 for VxWorks >= 7

Using 4 as the DWARF_VERSION_DEFAULT value for VxWorks observably
still hangs recent system debuggers on tbreak for some contructs,
and downgrading to 3 improves the situation.

2022-03-06  Olivier Hainque  <hainque@adacore.com>

gcc/
	* config/vxworks.h (DWARF_VERSION_DEFAULT): Adjust from
	4 to 3 for VxWorks >= 7.
---
 gcc/config/vxworks.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gcc/config/vxworks.h b/gcc/config/vxworks.h
index 1ad927e8aba..13c616829c4 100644
--- a/gcc/config/vxworks.h
+++ b/gcc/config/vxworks.h
@@ -410,7 +410,7 @@ extern void vxworks_emit_call_builtin___clear_cache (rtx begin, rtx end);
    with VxWorks.  */
 
 #undef DWARF_VERSION_DEFAULT
-#define DWARF_VERSION_DEFAULT (TARGET_VXWORKS7 ? 4 : 2)
+#define DWARF_VERSION_DEFAULT (TARGET_VXWORKS7 ? 3 : 2)
 
 #undef DWARF_GNAT_ENCODINGS_DEFAULT
 #define DWARF_GNAT_ENCODINGS_DEFAULT \
-- 
2.25.1

